Subject: Re: [PATCH] powerpc: restore some misc devices to our configs

From: Uwe Kleine-König <[email-masked]>
Date: Sat, 26 Mar 2011 20:57:51 +0100

Hello,

On Sat, Mar 26, 2011 at 06:11:29PM +1100, Stephen Rothwell wrote:
> Uwe Kleine-König reported:
> 
> 	while working on an defconfig (arm/mx27) I noticed that just updating
> 	it[1] results in removing CONFIG_EEPROM_AT24=y.  The reason is that
> 	since commit
> 
> 		v2.6.36-5965-g5f2365d (misc devices: do not enable by default)
> 
> 	MISC_DEVICES isn't enabled anymore by default.  So all defconfigs that
> 	have CONFIG_SOME_SYMBOL=y (or =m) (with SOME_SYMBOL depending on
> 	MISC_DEVICES) but not CONFIG_MISC_DEVICES=y suffer from the same
> 	problem.
> 
> This restores those misc devices to the powerpc defconfigs.
> 
> Signed-off-by: Stephen Rothwell <[email-masked]>
> Cc: Uwe Kleine-König <[email-masked]
> ---
>  arch/powerpc/configs/44x/warp_defconfig          |    1 +
>  arch/powerpc/configs/52xx/motionpro_defconfig    |    1 +
>  arch/powerpc/configs/86xx/gef_ppc9a_defconfig    |    1 +
>  arch/powerpc/configs/86xx/gef_sbc310_defconfig   |    1 +
>  arch/powerpc/configs/86xx/gef_sbc610_defconfig   |    1 +
>  arch/powerpc/configs/86xx/mpc8641_hpcn_defconfig |    1 +
>  arch/powerpc/configs/e55xx_smp_defconfig         |    1 +
>  arch/powerpc/configs/linkstation_defconfig       |    1 +
>  arch/powerpc/configs/mpc512x_defconfig           |    1 +
>  arch/powerpc/configs/mpc5200_defconfig           |    1 +
>  arch/powerpc/configs/mpc85xx_defconfig           |    1 +
>  arch/powerpc/configs/mpc85xx_smp_defconfig       |    1 +
>  arch/powerpc/configs/mpc86xx_defconfig           |    1 +
>  arch/powerpc/configs/pasemi_defconfig            |    1 +
>  arch/powerpc/configs/ppc6xx_defconfig            |    1 +
>  15 files changed, 15 insertions(+), 0 deletions(-)
These are exactly the files I reported for powerpc, so

Acked-by: Uwe Kleine-König

Thanks
Uwe

-- 
Pengutronix e.K.                           | Uwe Kleine-König            |
Industrial Linux Solutions                 | http://www.pengutronix.de/  |